Skip to main content
Update Order
curl --request PUT \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order/{order_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "type": "<string>",
  "price": "<string>",
  "shares": "<string>"
}
'
{
  "success": true,
  "response": {
    "order_id": "0xf9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8d7c6b5a4f9e8",
    "token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
    "side": "BUY",
    "type": "LIMIT",
    "amount": "100.000",
    "shares": "152.300",
    "filled": "0.000",
    "price": "0.657",
    "fee": {},
    "units": "SHARES",
    "status": "OPEN",
    "created_at": "2026-01-01T00:00:00",
    "updated_at": "2026-01-01T00:00:00"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required
order_id
string
required

Order or stoploss ID.

Body

application/json
type
string
required

LIMIT or STOPLOSS.

price
string

Updated price.

shares
string

Updated stoploss share amount.

Response

200 - application/json

Polygon order updated